<code><span class="str">When running NUGET "install-package NEST" (or possibly any other that uses newtonsoft-json), get error: 
"'Newtonsoft.Json' already has a dependency defined for 'Microsoft.CSharp'"

In my case, I was at a client running Visual Studio 2013 and needed to upgrade the version of Nuget. 

Reference: <a href="https://stackoverflow.com/questions/42045536/how-to-upgrade-nuget-in-visual-studio-2013">https://stackoverflow.com/questions/42045536/how-to-upgrade-nuget-in-visual-studio-2013</a>

In Visual Studio: Tools -&gt; Extensions and Updates -&gt; Updates tab -&gt; Visual Studio Gallery.
Below is the screen I saw, I clicked the "Update" ubtton next to NuGet, it installed, had to restart Visual Studio, then the tried the original install-package command again and it worked. </span></code>

Filed under: Uncategorized